Groovy Documentation

## org.codehaus.groovy.tools.ast
[Groovy] Class TestHarnessOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          org.codehaus.groovy.tools.ast.TestHarnessOperation

    class TestHarnessOperation
    extends PrimaryClassNodeOperation

Operation exists so that an AstTransformation can be run against the SourceUnit.

Authors:
  Hamlet D'Arcy

Constructor Summary
`TestHarnessOperation(java.lang.Object transform)`

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

Constructor Detail

### TestHarnessOperation

    TestHarnessOperation(java.lang.Object transform)

Method Detail

### call

    void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

Groovy Documentation